List Folder Get Latest Cursor
A way to quickly get a cursor for the folder’s state. Unlike list_folder, list_folder/get_latest_cursor doesn’t return any entries. This endpoint is for app which only needs to know about new files and modifications and doesn’t need to know about files that already exist in Dropbox.
Required scope: files.metadata.read
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Whole Team)
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
If set to a valid list of template IDs, FileMetadata.property_groups
is set if there exists property data associated with the file and each of the
listed templates.
Only templates with an ID in the supplied list will be returned (a subset of templates will be returned).
The maximum number of results to return per request. Note: This is an approximate number and there can be slightly more entries returned in some cases.
If true, the list folder operation will be applied recursively to all subfolders and the response will contain
contents of all subfolders. In some cases, setting ListFolderArg.recursive to true may lead to
performance issues or errors, especially when traversing folder structures with a large number of items.
A workaround for such cases is to set ListFolderArg.recursive to false and traverse subfolders one at a time.
If true, FileMetadata.media_info is set for photo and video. This parameter will no longer have an effect starting December 2, 2019.
Response headers
Response
Pass the cursor into list_folder/continue to see what’s changed in the folder since your previous query.